Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component.cpp	(revision 75)
@@ -15,5 +15,5 @@
   {
     log_printf(FUNC,Behavioural,"Component::Component","Begin");
-    _list_component = new list<Tcomponent_t *>;
+    _list_component = new std::list<Tcomponent_t *>;
     log_printf(FUNC,Behavioural,"Component::Component","End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_find_entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_find_entity.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_find_entity.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Entity * Component::find_entity (string name)
+  Entity * Component::find_entity (std::string name)
   {
     log_printf(FUNC,Behavioural,"Component::find_entity", "Begin");
@@ -22,5 +22,5 @@
       if (_list_component->empty()== false)
 	{
-	  list<Tcomponent_t *>::iterator i = _list_component->begin();
+	  std::list<Tcomponent_t *>::iterator i = _list_component->begin();
 	  
 	  while (i != _list_component->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_component.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_component.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_component.cpp	(revision 75)
@@ -14,17 +14,17 @@
 #define FUNCTION "Component::get_component"
 
-  string Component::get_component (void)
+  std::string Component::get_component (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
     uint32_t               depth          = 0;
-    string                 separator      = "\n";
+    std::string                 separator      = "\n";
     bool                   last_separator = false;
 
-    list<Tcomponent_t *>::iterator  i  = _list_component->begin();
+    std::list<Tcomponent_t *>::iterator  i  = _list_component->begin();
     bool                   empty = _list_component->empty();
 
-    string                 tab   = string(depth,'\t');
-    ostringstream          text;
+    std::string                 tab   = std::string(depth,'\t');
+    std::ostringstream          text;
 
     if (not empty)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_entity.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_get_entity.cpp	(revision 75)
@@ -13,9 +13,9 @@
 #undef  FUNCTION
 #define FUNCTION "Component::get_entity"
-  string Component::get_entity (void)
+  std::string Component::get_entity (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
-    ostringstream text;
+    std::ostringstream text;
     text << *(_entity); 
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_interface_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_interface_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_interface_map.cpp	(revision 75)
@@ -14,8 +14,8 @@
 #undef  FUNCTION
 #define FUNCTION "Component::interface_map"
-  void Component::interface_map (string component_src ,
-				 string port_src      ,
-				 string component_dest,
-				 string port_dest     )
+  void Component::interface_map (std::string component_src ,
+				 std::string port_src      ,
+				 std::string component_dest,
+				 std::string port_dest     )
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -24,5 +24,5 @@
     Entity * entity_dest = find_entity(component_dest);
 
-    string name_entity = _entity->get_name();
+    std::string name_entity = _entity->get_name();
 
     if (entity_dest == NULL)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_port_map.cpp	(revision 75)
@@ -13,12 +13,12 @@
 #undef  FUNCTION
 #define FUNCTION "Component::port_map"
-  void Component::port_map (string component_src ,
-			    string port_src      ,
-			    string component_dest,
-			    string port_dest     )
+  void Component::port_map (std::string component_src ,
+			    std::string port_src      ,
+			    std::string component_dest,
+			    std::string port_dest     )
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
-    string name_entity = _entity->get_name();
+    std::string name_entity = _entity->get_name();
 
     // First entity 
@@ -111,6 +111,6 @@
 
 
-  void Component::port_map (string component_src ,
-			    string port_src      )
+  void Component::port_map (std::string component_src ,
+			    std::string port_src      )
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_print.cpp	(revision 75)
@@ -14,11 +14,11 @@
 #undef  FUNCTION
 #define FUNCTION "Component::operator<<"
-  ostream& operator<< (ostream& output_stream,
-		       morpheo::behavioural::Component & x)
+  std::ostream& operator<< (std::ostream& output_stream,
+			    morpheo::behavioural::Component & x)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
-    output_stream << x.get_entity    () << endl;
-    output_stream << x.get_component () << endl;
+    output_stream << x.get_entity    () << std::endl;
+    output_stream << x.get_component () << std::endl;
 
     log_printf(FUNC,Behavioural,FUNCTION,"End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_set_entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_set_entity.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_set_entity.cpp	(revision 75)
@@ -13,6 +13,6 @@
 #undef  FUNCTION
 #define FUNCTION "Component::set_entity"
-  Entity * Component::set_entity (string        name   
-				  ,string        type   
+  Entity * Component::set_entity (std::string        name   
+				  ,std::string        type   
 #ifdef POSITION
 				  ,schema_t      schema
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_signal_internal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_signal_internal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_signal_internal.cpp	(revision 75)
@@ -19,11 +19,11 @@
 
     // create name of internal's signal
-    string str_entity = entity_productor->get_name();
-    string str_signal = signal_productor->get_name();
+    std::string str_entity = entity_productor->get_name();
+    std::string str_signal = signal_productor->get_name();
     
     UpperCase (str_entity);
     UpperCase (str_signal);
     
-    string name_internal = "internal_"+str_entity+"_"+str_signal;
+    std::string name_internal = "internal_"+str_entity+"_"+str_signal;
     
     // test if internal's signal exist ... else, create
@@ -40,5 +40,5 @@
 	  throw (ErrorMorpheo ("<Component::port_map> Component \""+_entity->get_name()+"\", doesn't have an interface \"\"."));
 	
-	string signame = entity_productor->get_name()+"_"+signal_productor->get_name();
+	std::string signame = entity_productor->get_name()+"_"+signal_productor->get_name();
 	
 	// Signal's creation
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_test_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_test_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_test_map.cpp	(revision 75)
@@ -17,5 +17,5 @@
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
-    string name = _entity->get_name();
+    std::string name = _entity->get_name();
     bool test_ok = true;
     if (_list_component->empty () == true)
@@ -31,5 +31,5 @@
 	log_printf(INFO,Behavioural,FUNCTION, "Test all internal component");
 	
-	for (list<Tcomponent_t *>::iterator i= _list_component->begin();
+	for (std::list<Tcomponent_t *>::iterator i= _list_component->begin();
 	     i != _list_component->end();
 	     ++i)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_toXML.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_toXML.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_toXML.cpp	(revision 75)
@@ -27,5 +27,5 @@
     if (_list_component->empty()== false)
       {
-	list<Tcomponent_t *>::iterator i = _list_component->begin();
+	std::list<Tcomponent_t *>::iterator i = _list_component->begin();
 
 	while (i != _list_component->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_vhdl_instance.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_vhdl_instance.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Component_vhdl_instance.cpp	(revision 75)
@@ -19,5 +19,5 @@
 
     uint32_t             cpt = 0;
-    map<Signal *,string> tab;
+    std::map<Signal *,std::string> tab;
 
     // buffer all output
@@ -25,6 +25,6 @@
     {
       // for each interface
-      list<Interface_fifo *>         * list_interface = (_entity)->get_interfaces_list()->get_interface_list();
-      list<Interface_fifo *>::iterator j              = list_interface->begin();
+      std::list<Interface_fifo *>         * list_interface = (_entity)->get_interfaces_list()->get_interface_list();
+      std::list<Interface_fifo *>::iterator j              = list_interface->begin();
       if (not list_interface->empty())
 	{
@@ -36,6 +36,6 @@
 	    {
 	      // for each signal
-	      list<Signal *>         * list_signal = (*j)->get_signal_list();
-	      list<Signal *>::iterator k           = list_signal->begin();
+	      std::list<Signal *>         * list_signal = (*j)->get_signal_list();
+	      std::list<Signal *>::iterator k           = list_signal->begin();
 	      if (not list_signal->empty())
 		{
@@ -49,5 +49,5 @@
 			{
 			  // Create name
-			  string signal_name = "signal_"+toString(cpt++);
+			  std::string signal_name = "signal_"+toString(cpt++);
 			  
 			  tab [signal                           ] = signal_name;
@@ -76,6 +76,6 @@
 
     // for each entity
-    list<Tcomponent_t *>         * list_component = _list_component;
-    list<Tcomponent_t *>::iterator i              = list_component->begin();
+    std::list<Tcomponent_t *>         * list_component = _list_component;
+    std::list<Tcomponent_t *>::iterator i              = list_component->begin();
     if (not list_component->empty())
       {
@@ -90,9 +90,9 @@
 	    if (instance & INSTANCE_COMPONENT)
 	    {
-	      list<string> list_port_map;
+	      std::list<std::string> list_port_map;
 	      
 	      // for each interface
-	      list<Interface_fifo *>         * list_interface = entity->get_interfaces_list()->get_interface_list();
-	      list<Interface_fifo *>::iterator j              = list_interface->begin();
+	      std::list<Interface_fifo *>         * list_interface = entity->get_interfaces_list()->get_interface_list();
+	      std::list<Interface_fifo *>::iterator j              = list_interface->begin();
 	      if (not list_interface->empty())
 		{
@@ -100,6 +100,6 @@
 		    {
 		      // for each signal
-		      list<Signal *>         * list_signal = (*j)->get_signal_list();
-		      list<Signal *>::iterator k           = list_signal->begin();
+		      std::list<Signal *>         * list_signal = (*j)->get_signal_list();
+		      std::list<Signal *>::iterator k           = list_signal->begin();
 		      if (not list_signal->empty())
 			{
@@ -112,6 +112,6 @@
 				{
 				  Signal * signal_dest = signal_src->get_connect_to_signal();
-				  string   name_src    = signal_src->get_name();
-				  string   name_dest;
+				  std::string   name_src    = signal_src->get_name();
+				  std::string   name_dest;
 				  
 // 				// Test if destination signal is a interface port ?
@@ -119,5 +119,5 @@
 // 				  {
 				  // find if signal is already link
-				  map<Signal *,string>::iterator it = tab.find(signal_dest); 
+				  std::map<Signal *,std::string>::iterator it = tab.find(signal_dest); 
 				  if (tab.find(signal_dest) == tab.end())
 				    {
@@ -144,5 +144,5 @@
 // 				      {
 // 					// Take buffer's signal
-// 					map<Signal *,string>::iterator it = tab.find(signal_dest);
+// 					map<Signal *,std::string>::iterator it = tab.find(signal_dest);
 // 					name_dest        = (*it).second;
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters.cpp	(revision 75)
@@ -14,12 +14,12 @@
 #undef  FUNCTION
 #define FUNCTION "Configuration_Parameters::Configuration_Parameters"
-  Configuration_Parameters::Configuration_Parameters  (string   name   ,
+  Configuration_Parameters::Configuration_Parameters  (std::string   name   ,
 						       uint32_t value  ,
 						       uint32_t min    ,
 						       uint32_t max    ,
-						       string   step   ,
+						       std::string   step   ,
 						       uint32_t value_default,
 						       uint32_t level  ,
-						       string   comment):
+						       std::string   comment):
     _name    (name         ),
     _value   (value        ),
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Configuration_Parameters_print.cpp	(revision 75)
@@ -15,5 +15,5 @@
 #undef  FUNCTION
 #define FUNCTION "Configuration_Parameters::print"
-  string Configuration_Parameters::print (uint32_t depth)
+  std::string Configuration_Parameters::print (uint32_t depth)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -38,6 +38,6 @@
 #undef  FUNCTION
 #define FUNCTION "Configuration_Parameters::operator<<"
-  ostream& operator<< (ostream& output_stream,
-		       morpheo::behavioural::Configuration_Parameters & x)
+  std::ostream& operator<< (std::ostream& output_stream,
+			    morpheo::behavioural::Configuration_Parameters & x)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity.cpp	(revision 75)
@@ -11,6 +11,6 @@
 namespace behavioural          {
 
-  Entity::Entity  ( string       name   
-		   ,string       type  
+  Entity::Entity  ( std::string       name   
+		   ,std::string       type  
 #ifdef POSITION
 		   ,schema_t     schema
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_interface.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_interface.cpp	(revision 75)
@@ -13,5 +13,5 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::find_interface"
-  Interface * Entity::find_interface (string name)
+  Interface * Entity::find_interface (std::string name)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_find_signal.cpp	(revision 75)
@@ -13,5 +13,5 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::find_signal"
-  Signal * Entity::find_signal (string name)
+  Signal * Entity::find_signal (std::string name)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_comment.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_comment.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_comment.cpp	(revision 75)
@@ -15,8 +15,8 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::get_comment"
-  string Entity::get_comment (void)
+  std::string Entity::get_comment (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    string _return = _comment;
+    std::string _return = _comment;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
     return _return;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_interfaces.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_interfaces.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_interfaces.cpp	(revision 75)
@@ -14,8 +14,8 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::get_interfaces"
-  string Entity::get_interfaces (void)
+  std::string Entity::get_interfaces (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    ostringstream text;
+    std::ostringstream text;
     text << *(_interfaces); 
     log_printf(FUNC,Behavioural,FUNCTION,"End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_name.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_name.cpp	(revision 75)
@@ -14,8 +14,8 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::get_name"
-  string Entity::get_name (void)
+  std::string Entity::get_name (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    string _return = _name;
+    std::string _return = _name;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
     return _return;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_type.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_type.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_get_type.cpp	(revision 75)
@@ -14,8 +14,8 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::get_type"
-  string Entity::get_type (void)
+  std::string Entity::get_type (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    string _return = _type;
+    std::string _return = _type;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_print.cpp	(revision 75)
@@ -14,16 +14,16 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::operator<<"
-  ostream& operator<< (ostream& output_stream,
-		       morpheo::behavioural::Entity & x)
+  std::ostream& operator<< (std::ostream& output_stream,
+			    morpheo::behavioural::Entity & x)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
  
 #ifdef POSITION
-    output_stream << x._name + "\t"+x._type+"\t"+toString(x._schema) << endl;
-    output_stream << x.get_comment()    << endl;
+    output_stream << x._name + "\t"+x._type+"\t"+toString(x._schema) << std::endl;
+    output_stream << x.get_comment()    << std::endl;
 #else
-    output_stream << x._name + "\t"+x._type<< endl;
+    output_stream << x._name + "\t"+x._type<< std::endl;
 #endif
-    output_stream << x.get_interfaces() << endl;
+    output_stream << x.get_interfaces() << std::endl;
 
     log_printf(FUNC,Behavioural,FUNCTION,"End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_set_comment.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_set_comment.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_set_comment.cpp	(revision 75)
@@ -15,5 +15,5 @@
 #undef  FUNCTION
 #define FUNCTION "Entity::set_comment"
-  void Entity::set_comment (string comment)
+  void Entity::set_comment (std::string comment)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Interface::Interface  (string                name         
+  Interface::Interface  (std::string                name         
 #ifdef POSITION
 			 ,direction_t           direction    
@@ -27,5 +27,5 @@
     log_printf(FUNC,Behavioural,"Interface","Begin");
 
-    _list_signal   = new (list<Signal*>);
+    _list_signal   = new (std::list<Signal*>);
 
 #ifdef POSITION
@@ -72,5 +72,5 @@
     if (_list_signal->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal->begin();
+	std::list<Signal*>::iterator i = _list_signal->begin();
 
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Interface_fifo::Interface_fifo  (string         name        
+  Interface_fifo::Interface_fifo  (std::string         name        
 #ifdef POSITION
 				   ,direction_t    direction   
@@ -28,10 +28,10 @@
     log_printf(FUNC,Behavioural,"Interface_fifo","Begin");
 
-    _list_signal_val = new (list<Signal*>);
-    _list_signal_ack = new (list<Signal*>);
+    _list_signal_val = new (std::list<Signal*>);
+    _list_signal_ack = new (std::list<Signal*>);
 
 #ifdef VHDL_TESTBENCH
     _test_exhaustive = true;
-    _list_cycle      = new list<uint32_t>;
+    _list_cycle      = new std::list<uint32_t>;
 #endif
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_set_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_set_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_set_signal.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Signal * Interface_fifo::set_signal_valack (string          name     ,
+  Signal * Interface_fifo::set_signal_valack (std::string          name     ,
 					      direction_t     direction,
 					      val_ack_t       val_ack  ,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp	(revision 75)
@@ -12,10 +12,10 @@
 namespace behavioural          {
 
-  string Interface_fifo::testbench_test (Vhdl * & vhdl,
-					 string   counter_name,
-					 string   reset_name  )
+  std::string Interface_fifo::testbench_test (Vhdl * & vhdl,
+					 std::string   counter_name,
+					 std::string   reset_name  )
   {
     log_printf(FUNC,Behavioural,"testbench_test","Begin");
-    string test_name;
+    std::string test_name;
     
     if (_test_exhaustive == true)
@@ -28,7 +28,7 @@
 
 	       test_name        = testbench_test_name        (vhdl);
-	string test_name_tmp    = test_name+"_tmp";
-	string test_name_ok     = testbench_test_ok          (vhdl);
- 	string test_transaction = testbench_test_transaction (vhdl);
+	std::string test_name_tmp    = test_name+"_tmp";
+	std::string test_name_ok     = testbench_test_ok          (vhdl);
+ 	std::string test_transaction = testbench_test_transaction (vhdl);
 
 	vhdl->set_signal(test_name_tmp,1);
@@ -39,5 +39,5 @@
 	    vhdl->set_body ("\t"+test_name_tmp+" <=");
 	
-	    list<uint32_t>::iterator i = _list_cycle->begin();
+	    std::list<uint32_t>::iterator i = _list_cycle->begin();
 	    
 	    while (i != _list_cycle->end())
@@ -62,5 +62,5 @@
 
 	    uint32_t                 j = 0;
-	    list<uint32_t>::iterator i = _list_cycle->begin();
+	    std::list<uint32_t>::iterator i = _list_cycle->begin();
 	    
 	    while (i != _list_cycle->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test_transaction.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test_transaction.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test_transaction.cpp	(revision 75)
@@ -12,9 +12,9 @@
 namespace behavioural          {
 
-  string Interface_fifo::testbench_test_transaction (Vhdl * & vhdl)
+  std::string Interface_fifo::testbench_test_transaction (Vhdl * & vhdl)
   {
     log_printf(FUNC,Behavioural,"testbench_test_transaction","Begin");
     
-    string name = testbench_test_transaction_name(vhdl);
+    std::string name = testbench_test_transaction_name(vhdl);
 
     vhdl->set_body(name+" <= '1'");
@@ -23,5 +23,5 @@
     if (_list_signal_val->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal_val->begin();
+	std::list<Signal*>::iterator i = _list_signal_val->begin();
 
 	while (i != _list_signal_val->end())
@@ -35,5 +35,5 @@
     if (_list_signal_ack->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal_ack->begin();
+	std::list<Signal*>::iterator i = _list_signal_ack->begin();
 
 	while (i != _list_signal_ack->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_transaction.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_transaction.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_transaction.cpp	(revision 75)
@@ -21,5 +21,5 @@
     if (_list_signal_val->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal_val->begin();
+	std::list<Signal*>::iterator i = _list_signal_val->begin();
 
 	while ((i != _list_signal_val->end()) and (res == true))
@@ -33,5 +33,5 @@
     if (_list_signal_ack->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal_ack->begin();
+	std::list<Signal*>::iterator i = _list_signal_ack->begin();
 
 	while ((i != _list_signal_ack->end()) and (res == true))
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_find_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_find_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_find_signal.cpp	(revision 75)
@@ -12,9 +12,9 @@
 namespace behavioural          {
 
-  Signal * Interface::find_signal (string name)
+  Signal * Interface::find_signal (std::string name)
   {
     log_printf(FUNC,Behavioural,"find_signal","Begin");
 
-    list<Signal*>::iterator i   = _list_signal->begin();
+    std::list<Signal*>::iterator i   = _list_signal->begin();
     Signal *                sig = NULL;
     if (_list_signal->empty() == false)
@@ -41,5 +41,5 @@
 
     bool find = false;
-    list<Signal*>::iterator i = _list_signal->begin();
+    std::list<Signal*>::iterator i = _list_signal->begin();
     if (_list_signal->empty() == false)
       {
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_clock.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_clock.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_clock.cpp	(revision 75)
@@ -23,5 +23,5 @@
     if (not _list_signal->empty())
       {
-	list<Signal*>::iterator i     = _list_signal->begin();
+	std::list<Signal*>::iterator i     = _list_signal->begin();
 	
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_comment.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_comment.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_comment.cpp	(revision 75)
@@ -13,8 +13,8 @@
 namespace behavioural          {
 
-  string Interface::get_comment (void)
+  std::string Interface::get_comment (void)
   {
     log_printf(FUNC,Behavioural,"get_comment","Begin");
-    string res = _comment;
+    std::string res = _comment;
     log_printf(FUNC,Behavioural,"get_comment","End");
     return res;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_name.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_name.cpp	(revision 75)
@@ -12,8 +12,8 @@
 namespace behavioural          {
 
-  string Interface::get_name (void)
+  std::string Interface::get_name (void)
   {
     log_printf(FUNC,Behavioural,"get_name","Begin");
-    string res = _name;
+    std::string res = _name;
     log_printf(FUNC,Behavioural,"get_name","End");
     return res;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_reset.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_reset.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_reset.cpp	(revision 75)
@@ -23,5 +23,5 @@
     if (not _list_signal->empty())
       {
-	list<Signal*>::iterator i = _list_signal->begin();
+	std::list<Signal*>::iterator i = _list_signal->begin();
 	
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp	(revision 75)
@@ -12,18 +12,18 @@
 namespace behavioural          {
 
-  string Interface::get_signal (void)
+  std::string Interface::get_signal (void)
   {
     log_printf(FUNC,Behavioural,"get_signal","Begin");
 
     uint32_t               depth          = 0;
-    string                 separator      = ",\n";
+    std::string                 separator      = ",\n";
     bool                   last_separator = false;
 
 
-    list<Signal*>::iterator i    = _list_signal->begin();
-    bool                   empty = _list_signal->empty();
+    std::list<Signal*>::iterator i    = _list_signal->begin();
+    bool                         empty = _list_signal->empty();
 
-    string                 tab   = string(depth,'\t');
-    ostringstream          text;
+    std::string                 tab   = std::string(depth,'\t');
+    std::ostringstream          text;
 
     if (not empty)
@@ -56,5 +56,5 @@
 #undef  FUNCTION
 #define FUNCTION "Interface::get_signal"
-  void Interface::get_signal (list<string> * & list_signal)
+  void Interface::get_signal (std::list<std::string> * & list_signal)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -62,5 +62,5 @@
     if (not _list_signal->empty())
       {
-	list<Signal*>::iterator i = _list_signal->begin();
+	std::list<Signal*>::iterator i = _list_signal->begin();
 	
 	while (i != _list_signal->end())
@@ -78,8 +78,8 @@
 #undef  FUNCTION
 #define FUNCTION "Interface::get_signal_list"
-  list<Signal *> * Interface::get_signal_list (void)
+  std::list<Signal *> * Interface::get_signal_list (void)
     {
       log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-      list<Signal *> * _return = _list_signal;
+      std::list<Signal *> * _return = _list_signal;
       log_printf(FUNC,Behavioural,FUNCTION,"End");
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp	(revision 75)
@@ -12,15 +12,15 @@
 namespace behavioural          {
 
-  ostream& operator<< (ostream& output_stream,
-		       morpheo::behavioural::Interface & x)
+  std::ostream& operator<< (std::ostream& output_stream,
+			    morpheo::behavioural::Interface & x)
   {
     log_printf(FUNC,Behavioural,"operator<<","Begin");
 #ifdef POSITION
-    output_stream << x._name + "\t"+toString(x._localisation)+"\t"+toString(x._direction) << endl;
-    output_stream << x.get_comment() << endl;
+    output_stream << x._name + "\t"+toString(x._localisation)+"\t"+toString(x._direction) << std::endl;
+    output_stream << x.get_comment() << std::endl;
 #else
-    output_stream << x._name << endl;
+    output_stream << x._name << std::endl;
 #endif
-    output_stream << x.get_signal () << endl;
+    output_stream << x.get_signal () << std::endl;
 
 // #ifdef VHDL_TESTBENCH
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_comment.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_comment.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_comment.cpp	(revision 75)
@@ -13,5 +13,5 @@
 namespace behavioural          {
 
-  void Interface::set_comment (string comment)
+  void Interface::set_comment (std::string comment)
   {
     log_printf(FUNC,Behavioural,"set_comment","Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp	(revision 75)
@@ -18,5 +18,5 @@
     if (not _list_signal->empty())
       {
-	list<Signal*>::iterator i     = _list_signal->begin();
+	std::list<Signal*>::iterator i     = _list_signal->begin();
 	
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Signal * Interface::set_signal (string          name     ,
+  Signal * Interface::set_signal (std::string          name     ,
 				  direction_t     direction,
 				  uint32_t        size     ,
@@ -18,5 +18,5 @@
     log_printf(FUNC,Behavioural,"set_signal","Begin");
 
-    string signame = signal_name(_name, name, direction);
+    std::string signame = signal_name(_name, name, direction);
 
     Signal * sig = new Signal       (signame, direction, size, presence_port);
@@ -39,5 +39,5 @@
     if (not _list_signal->empty())
       {
-	list<Signal*>::iterator i = _list_signal->begin();
+	std::list<Signal*>::iterator i = _list_signal->begin();
 	
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_signal_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_signal_name.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_signal_name.cpp	(revision 75)
@@ -11,13 +11,13 @@
 namespace behavioural          {
 
-  string Interface::signal_name          (string      name_interface,
-					  string      name_signal   ,
-					  direction_t direction     )
+  std::string Interface::signal_name          (std::string      name_interface,
+					       std::string      name_signal   ,
+					       direction_t direction     )
   {
     log_printf(FUNC,Behavioural,"signal_name","Begin");
 
-    string str_direction = toString(direction);
-    string str_interface = name_interface;
-    string str_signal    = name_signal;
+    std::string str_direction = toString(direction);
+    std::string str_interface = name_interface;
+    std::string str_signal    = name_signal;
 
     LowerCase(str_direction);    
@@ -25,5 +25,5 @@
     UpperCase(str_signal   );
     
-    string signame = str_direction;
+    std::string signame = str_direction;
     if (str_interface != "")
       signame += "_"+str_interface;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_test_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_test_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_test_map.cpp	(revision 75)
@@ -22,5 +22,5 @@
     log_printf(INFO,Behavioural,FUNCTION, "   * Interface \"%s\"",_name.c_str());
     
-    for (list<Signal*>::iterator i  = _list_signal->begin();
+    for (std::list<Signal*>::iterator i  = _list_signal->begin();
 	 i != _list_signal->end();
 	 ++i)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench.cpp	(revision 75)
@@ -19,5 +19,5 @@
     if (_list_signal->empty()== false)
       {
-	list<Signal*>::iterator i     = _list_signal->begin();
+	std::list<Signal*>::iterator i     = _list_signal->begin();
 
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_body.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_body.cpp	(revision 75)
@@ -14,6 +14,6 @@
 
   void Interface::testbench_body (Vhdl * & vhdl,
-				  string   counter_name,
-				  string   reset_name  )
+				  std::string   counter_name,
+				  std::string   reset_name  )
   {
     log_printf(FUNC,Behavioural,"testbench_body","Begin");
@@ -21,5 +21,5 @@
     if (_list_signal->empty()== false)
       {
-	list<Signal*>::iterator i = _list_signal->begin();
+	std::list<Signal*>::iterator i = _list_signal->begin();
 
 	vhdl->set_body("------------------------------------------------------");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp	(revision 75)
@@ -13,7 +13,7 @@
 namespace behavioural          {
 
-  string Interface::testbench_test (Vhdl * & vhdl,
-				    string   counter_name,
-				    string   reset_name  )
+  std::string Interface::testbench_test (Vhdl * & vhdl,
+				    std::string   counter_name,
+				    std::string   reset_name  )
   {
     log_printf(FUNC,Behavioural,"testbench_test","Begin");
@@ -23,6 +23,6 @@
     vhdl->set_body("");
 
-    string test_name    = testbench_test_name(vhdl);
-    string test_name_ok = testbench_test_ok     (vhdl);
+    std::string test_name    = testbench_test_name(vhdl);
+    std::string test_name_ok = testbench_test_ok     (vhdl);
 
     vhdl->set_body(test_name + " <= '1' when ("+reset_name+" = '0') else "+test_name_ok+";");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_name.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_name.cpp	(revision 75)
@@ -13,9 +13,9 @@
 namespace behavioural          {
 
-  string Interface::testbench_test_name (Vhdl * & vhdl)
+  std::string Interface::testbench_test_name (Vhdl * & vhdl)
   {
     log_printf(FUNC,Behavioural,"testbench_test_name","Begin");
 
-    string name;
+    std::string name;
 
     name = "interface_";
@@ -31,9 +31,9 @@
   };
 
-  string Interface::testbench_test_ok_name (Vhdl * & vhdl)
+  std::string Interface::testbench_test_ok_name (Vhdl * & vhdl)
   {
     log_printf(FUNC,Behavioural,"testbench_test_ok_name","Begin");
 
-    string name;
+    std::string name;
 
     name = "interface_";
@@ -49,9 +49,9 @@
   };
 
-  string Interface::testbench_test_transaction_name (Vhdl * & vhdl)
+  std::string Interface::testbench_test_transaction_name (Vhdl * & vhdl)
   {
     log_printf(FUNC,Behavioural,"testbench_test_transaction_name","Begin");
 
-    string name;
+    std::string name;
 
     name = "interface_";
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_ok.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_ok.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_ok.cpp	(revision 75)
@@ -13,9 +13,9 @@
 namespace behavioural          {
 
-  string Interface::testbench_test_ok (Vhdl * & vhdl)
+  std::string Interface::testbench_test_ok (Vhdl * & vhdl)
   {
     log_printf(FUNC,Behavioural,"testbench_test_ok","Begin");
 
-    string test_name = testbench_test_ok_name(vhdl);
+    std::string test_name = testbench_test_ok_name(vhdl);
 
     vhdl->set_body(test_name + " <= '1' when true");
@@ -24,5 +24,5 @@
     if (_list_signal->empty()== false)
       {
-	list<Signal*>::iterator i     = _list_signal->begin();
+	std::list<Signal*>::iterator i     = _list_signal->begin();
 
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_toXML.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_toXML.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_toXML.cpp	(revision 75)
@@ -28,5 +28,5 @@
     if (_list_signal->empty()== false)
       {
-	list<Signal*>::iterator i     = _list_signal->begin();
+	std::list<Signal*>::iterator i     = _list_signal->begin();
 
 	while (i != _list_signal->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Interfaces::Interfaces  (string   name,
+  Interfaces::Interfaces  (std::string   name,
 			   Tusage_t usage):
     _name  (name),
@@ -17,5 +17,5 @@
   {
     log_printf(FUNC,Behavioural,"Interfaces","Begin");
-    _list_interface = new list<Interface_fifo*>;
+    _list_interface = new std::list<Interface_fifo*>;
     log_printf(FUNC,Behavioural,"Interfaces","End");
   };
@@ -41,5 +41,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_interface.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_interface.cpp	(revision 75)
@@ -13,5 +13,5 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::find_interface"
-  Interface_fifo * Interfaces::find_interface (string name)
+  Interface_fifo * Interfaces::find_interface (std::string name)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -20,5 +20,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_find_signal.cpp	(revision 75)
@@ -13,5 +13,5 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::find_signal"
-  Signal * Interfaces::find_signal (string name)
+  Signal * Interfaces::find_signal (std::string name)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -20,5 +20,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 
 	while (i != _list_interface->end())
@@ -51,5 +51,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_clock.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_clock.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_clock.cpp	(revision 75)
@@ -23,5 +23,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_cycle.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_cycle.cpp	(revision 75)
@@ -22,5 +22,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_interface.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_interface.cpp	(revision 75)
@@ -14,17 +14,17 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::get_interface"
-  string Interfaces::get_interface (void)
+  std::string Interfaces::get_interface (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
 
     uint32_t               depth          = 0;
-    string                 separator      = "\n";
+    std::string                 separator      = "\n";
     bool                   last_separator = false;
 
-    list<Interface_fifo*>::iterator i  = _list_interface->begin();
+    std::list<Interface_fifo*>::iterator i  = _list_interface->begin();
     bool                   empty = _list_interface->empty();
 
-    string                 tab   = string(depth,'\t');
-    ostringstream          text;
+    std::string                 tab   = std::string(depth,'\t');
+    std::ostringstream          text;
 
     if (not empty)
@@ -55,8 +55,8 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::get_interface_list"
-  list<Interface_fifo*>* Interfaces::get_interface_list (void)
+  std::list<Interface_fifo*>* Interfaces::get_interface_list (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    list<Interface_fifo*>* _return =  _list_interface;
+    std::list<Interface_fifo*>* _return =  _list_interface;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_reset.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_reset.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_reset.cpp	(revision 75)
@@ -23,5 +23,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_signal.cpp	(revision 75)
@@ -17,5 +17,5 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::get_signal"
-  void Interfaces::get_signal (list<string> * & list_signal)
+  void Interfaces::get_signal (std::list<std::string> * & list_signal)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
@@ -23,5 +23,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_print.cpp	(revision 75)
@@ -15,9 +15,9 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::operator<<"
-  ostream& operator<< (ostream& output_stream ,
-		       morpheo::behavioural::Interfaces & x)
+  std::ostream& operator<< (std::ostream& output_stream ,
+			    morpheo::behavioural::Interfaces & x)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    output_stream << x.get_interface () << endl;
+    output_stream << x.get_interface () << std::endl;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
     return output_stream;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_interface.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_interface.cpp	(revision 75)
@@ -13,5 +13,5 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::set_interface"
-  Interface_fifo * Interfaces::set_interface (string         name        
+  Interface_fifo * Interfaces::set_interface (std::string         name        
 #ifdef POSITION
 					      ,direction_t    direction   
@@ -38,8 +38,8 @@
 #undef  FUNCTION
 #define FUNCTION "Interfaces::set_interface"
-  Interface_fifo * Interfaces::set_interface (string         name        ,
+  Interface_fifo * Interfaces::set_interface (std::string         name        ,
 					      direction_t    direction   ,
 					      localisation_t localisation,
-					      string         comment     )
+					      std::string         comment     )
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp	(revision 75)
@@ -20,5 +20,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_signal.cpp	(revision 75)
@@ -21,5 +21,5 @@
     if (not _list_interface->empty())
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 	
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_test_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_test_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_test_map.cpp	(revision 75)
@@ -22,5 +22,5 @@
     log_printf(INFO,Behavioural,FUNCTION, "   * Interfaces \"%s\"",_name.c_str());
     
-    for (list<Interface_fifo*>::iterator i  = _list_interface->begin();
+    for (std::list<Interface_fifo*>::iterator i  = _list_interface->begin();
 	 i != _list_interface->end();
 	 ++i)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench.cpp	(revision 75)
@@ -19,5 +19,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_body.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_body.cpp	(revision 75)
@@ -13,22 +13,22 @@
 namespace behavioural          {
 
-  string Interfaces::testbench_body (Vhdl * & vhdl,
-				     string   counter_name,
-				     string   reset_name  )
+  std::string Interfaces::testbench_body (Vhdl * & vhdl,
+				     std::string   counter_name,
+				     std::string   reset_name  )
   {
     log_printf(FUNC,Behavioural,"testbench_body","Begin");
 
-    string test      = "'1'";
-    string test_name = "test";
+    std::string test      = "'1'";
+    std::string test_name = "test";
     vhdl->set_signal(test_name,1);
 
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i = _list_interface->begin();
 
 	while (i != _list_interface->end())
 	  {
 	    (*i)->testbench_body(vhdl, counter_name, reset_name);
-	    string str = (*i)->testbench_test(vhdl, counter_name, reset_name);
+	    std::string str = (*i)->testbench_test(vhdl, counter_name, reset_name);
 
 	    test += " and "+str;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_generate_file.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_generate_file.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_generate_file.cpp	(revision 75)
@@ -18,9 +18,9 @@
 
     Vhdl   * vhdl        = new Vhdl(_name+"_Testbench");
-    string   counter     = "counter";
+    std::string   counter     = "counter";
     Signal * clock       = this->get_clock();
     Signal * reset       = this->get_reset();
-    string   clock_name  = clock->get_name();
-    string   reset_name  = reset->get_name();
+    std::string   clock_name  = clock->get_name();
+    std::string   reset_name  = reset->get_name();
     uint32_t cycle       = this->get_cycle();
 
@@ -36,5 +36,5 @@
     vhdl->set_body("");
 
-    list<string> * list_signal = new list<string>;
+    std::list<std::string> * list_signal = new std::list<std::string>;
     this->get_signal (list_signal);
 
@@ -43,5 +43,5 @@
     vhdl->set_body("port map (");
 
-    list<string>::iterator i   = list_signal->begin();
+    std::list<std::string>::iterator i   = list_signal->begin();
     if (i != list_signal->end())
       {
@@ -58,5 +58,5 @@
     delete list_signal;
 
-    string test_name = this->testbench_body(vhdl,counter, reset_name);
+    std::string test_name = this->testbench_body(vhdl,counter, reset_name);
 
     vhdl->set_body("");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_toXML.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_toXML.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_toXML.cpp	(revision 75)
@@ -22,5 +22,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 
 	while (i != _list_interface->end())
@@ -45,5 +45,5 @@
     if (_list_interface->empty()== false)
       {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	std::list<Interface_fifo*>::iterator i     = _list_interface->begin();
 
 	while (i != _list_interface->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal.cpp	(revision 75)
@@ -11,5 +11,5 @@
 namespace behavioural          {
 
-  Signal::Signal  (string          name         ,
+  Signal::Signal  (std::string          name         ,
 		   direction_t     direction    ,
 		   uint32_t        size         ,
@@ -30,5 +30,5 @@
     _type_info           = UNKNOW;
 #ifdef VHDL_TESTBENCH
-    _list_value          = new list<string>;
+    _list_value          = new std::list<std::string>;
 #endif
     log_printf(FUNC,Behavioural,"Signal","End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_connect.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_connect.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_connect.cpp	(revision 75)
@@ -18,5 +18,5 @@
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
     
-    cout << "connected : " << get_name() << "\twith " << signal_dest->get_name() << endl;
+    //std::cout << "connected : " << get_name() << "\twith " << signal_dest->get_name() << std::endl;
     
     if ((_direction == IN ) and (signal_dest->_direction == IN ))
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name.cpp	(revision 75)
@@ -14,8 +14,8 @@
 #undef  FUNCTION
 #define FUNCTION "Signal::get_name"
-  string Signal::get_name (void)
+  std::string Signal::get_name (void)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    string _return = _name;
+    std::string _return = _name;
     log_printf(FUNC,Behavioural,FUNCTION,"End");
     return _return;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name_vhdl.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name_vhdl.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name_vhdl.cpp	(revision 75)
@@ -15,5 +15,5 @@
 #undef  FUNCTION
 #define FUNCTION "Signal::get_name_vhdl"
-  void Signal::get_name_vhdl (list<string> *& list_signal)
+  void Signal::get_name_vhdl (std::list<std::string> *& list_signal)
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_reset_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_reset_cycle.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_reset_cycle.cpp	(revision 75)
@@ -21,5 +21,5 @@
     uint32_t num = 0;
     uint32_t cpt = 0;
-    string   cmp = (active_low==true)?"0":"1";
+    std::string   cmp = (active_low==true)?"0":"1";
 
     if ((_presence_port == RESET_VHDL_YES) or
@@ -28,5 +28,5 @@
 	if (_list_value->empty()== false)
 	  {
-	    list<string>::iterator i = _list_value->begin();
+	    std::list<std::string>::iterator i = _list_value->begin();
 	    
 	    while (i != _list_value->end())
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_print.cpp	(revision 75)
@@ -11,6 +11,6 @@
 namespace behavioural          {
 
-  ostream& operator<< (ostream& output_stream,
-		       morpheo::behavioural::Signal & x)
+  std::ostream& operator<< (std::ostream& output_stream,
+			    morpheo::behavioural::Signal & x)
   {
     log_printf(FUNC,Behavioural,"operator<<","Begin");
@@ -20,5 +20,5 @@
 		  << toString(x._direction)    << "\t"
 		  << toString(x._presence_port)
-		  << "sc_signal : " << hex << x._sc_signal << " - " << x._sc_signal_map << dec;
+		  << "sc_signal : " << std::hex << x._sc_signal << " - " << x._sc_signal_map << std::dec;
 
     log_printf(FUNC,Behavioural,"operator<<","End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_test_map.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_test_map.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_test_map.cpp	(revision 75)
@@ -31,5 +31,5 @@
 	    {
 	      if (_return == false)
-		cerr << "Signal \"" << _name << "\" is not mapped with an outpout port or a component." << endl;
+		std::cerr << "Signal \"" << _name << "\" is not mapped with an outpout port or a component." << std::endl;
 	      break;
 	    }
@@ -37,5 +37,5 @@
 	    {
 	      if (_return == false)
-		cerr << "Signal \"" << _name << "\" is not mapped with an input port or a component." << endl;
+		std::cerr << "Signal \"" << _name << "\" is not mapped with an input port or a component." << std::endl;
 	      break;
 	    }
@@ -52,7 +52,7 @@
 	  {
 	    if (_is_map_as_src  == false)
-	      cerr << "Signal \"" << _name << "\" is not mapped as source" << endl;
+	      std::cerr << "Signal \"" << _name << "\" is not mapped as source" << std::endl;
 	    if (_is_map_as_dest == false)
-	      cerr << "Signal \"" << _name << "\" is not mapped as destination" << endl;
+	      std::cerr << "Signal \"" << _name << "\" is not mapped as destination" << std::endl;
 	  }
       }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench.cpp	(revision 75)
@@ -22,5 +22,5 @@
 	(_presence_port == RESET_VHDL_NO              ) )
       {
-	string str;
+	std::string str;
 
 	switch (_type_info)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_body.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_body.cpp	(revision 75)
@@ -13,6 +13,6 @@
 
   void Signal::testbench_body (Vhdl * & vhdl,
-			       string   counter_name,
-			       string   reset_name  )
+			       std::string   counter_name,
+			       std::string   reset_name  )
   {
     log_printf(FUNC,Behavioural,"testbench_body","Begin");
@@ -24,5 +24,5 @@
       if (_list_value->empty()== false)
 	{
-	  string separator;
+	  std::string separator;
 	  if (_size == 1)
 	    separator = "\'";
@@ -30,5 +30,5 @@
 	    separator = "\"";
 	  
-	  string signame = (_direction==OUT)?(_name+"_test"):_name;
+	  std::string signame = (_direction==OUT)?(_name+"_test"):_name;
 	  
 	  vhdl->set_body ("");
@@ -37,9 +37,9 @@
 	  
 	  uint32_t cpt = 0;
-	  list<string>::iterator i = _list_value->begin();
+	  std::list<std::string>::iterator i = _list_value->begin();
 	  
 	  while (i != _list_value->end())
 	    {
-	      list<string>::iterator j = i;
+	      std::list<std::string>::iterator j = i;
 	      
 	      ++i;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_have_counter.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_have_counter.cpp	(revision 75)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_have_counter.cpp	(revision 75)
@@ -0,0 +1,19 @@
+#ifdef STATISTICS
+#include "Behavioural/include/Stat.h"
+
+namespace morpheo {
+namespace behavioural {  
+
+  bool Stat::have_counter (void)
+  {
+    for (std::map<std::string, var_t>::iterator i=_list_operand->begin();
+	 i!= _list_operand->end();
+	 ++i)
+      if (i->second.type == TYPE_COUNTER)
+	return true;
+
+    return false;
+  }
+};  
+};
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_print.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Stat_print.cpp	(revision 75)
@@ -21,57 +21,61 @@
 	 stat != _list_stat->end();
 	 stat ++)
-      xml.text((*stat)->print(depth+1));
+      xml.text((*stat)->print(1));
     
 
     // Test special case
-    if (_cycle_sum < _nb_cycle_before_begin)
+
+    if (have_counter())
       {
-	xml.comment(_("Number of cycle is less than the number minimal"));
-      }
-    else
-      {
-	bool stop = false;
-	cycle_t nb_cycle_min;
-	cycle_t nb_cycle_max = _nb_cycle_before_begin-1;
-	for (cycle_t period=0; stop==false; period++)
+	if (_cycle_sum < _nb_cycle_before_begin)
 	  {
-	    std::map<std::string, var_t>::iterator operand=_list_operand->begin();
+	    xml.comment(_("Number of cycle is less than the number minimal"));
+	  }
+	else
+	  {
+	    bool stop = false;
+	    cycle_t nb_cycle_min;
+	    cycle_t nb_cycle_max = _nb_cycle_before_begin-1;
+	    for (cycle_t period=0; stop==false; period++)
+	      {
+		std::map<std::string, var_t>::iterator operand=_list_operand->begin();
+		
+		if (operand->second.save_counter.size()==0)
+		  throw(ERRORMORPHEO("Stat::generate_file",_("Queue 'save_counter' is empty.")));
+		
+		bool last = operand->second.save_counter.size()==1;
+		
+		nb_cycle_min  = nb_cycle_max+1;
+		
+		if (last)
+		  nb_cycle_max = static_cast<cycle_t>(_cycle_sum);
+		else
+		  nb_cycle_max += _period;
 
-	    if (operand->second.save_counter.size()==0)
-	      throw(ERRORMORPHEO("Stat::generate_file",_("Queue 'save_counter' is empty.")));
-
-	    bool last = operand->second.save_counter.size()==1;
-
-	    nb_cycle_min  = nb_cycle_max+1;
-
-	    if (last)
-	      nb_cycle_max = static_cast<cycle_t>(_cycle_sum);
-	    else
-	      nb_cycle_max += _period;
-
-	    xml.balise_open_begin("period");
-	    xml.attribut("number",toString(period));
-	    xml.attribut("nb_cycle_min",toString(nb_cycle_min));
-	    xml.attribut("nb_cycle_max",toString(nb_cycle_max));
-	    xml.balise_open_end();
-	    
-	    for (;
-		 operand!= _list_operand->end();
-		 ++operand)
-	      {
-		if (operand->second.type == TYPE_COUNTER)
+		xml.balise_open_begin("period");
+		xml.attribut("number",toString(period));
+		xml.attribut("nb_cycle_min",toString(nb_cycle_min));
+		xml.attribut("nb_cycle_max",toString(nb_cycle_max));
+		xml.balise_open_end();
+		
+		for (;
+		     operand!= _list_operand->end();
+		     ++operand)
 		  {
-		    xml.singleton_begin(operand->second.name);
-		    xml.attribut("value",toString(operand->second.save_counter.front()));
-		    xml.attribut("unit",operand->second.unit);
-		    xml.attribut("description",operand->second.description);
-		    xml.singleton_end();
+		    if (operand->second.type == TYPE_COUNTER)
+		      {
+			xml.singleton_begin(operand->second.name);
+			xml.attribut("value",toString(operand->second.save_counter.front()));
+			xml.attribut("unit",operand->second.unit);
+			xml.attribut("description",operand->second.description);
+			xml.singleton_end();
+		      }
+		    operand->second.save_counter.pop_front();
 		  }
-		operand->second.save_counter.pop_front();
+		
+		xml.balise_close();
+		
+		stop = last;
 	      }
-
-	    xml.balise_close();
-	    
-	    stop = last;
 	  }
       }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics.cpp	(revision 74)
+++ 	(revision )
@@ -1,40 +1,0 @@
-#ifdef STATISTICS
-
-/*
- * $Id$
- *
- * [ Description ]
- * 
- */
-
-#include "Behavioural/include/Statistics.h"
-
-namespace morpheo              {
-namespace behavioural          {
-
-#undef  FUNCTION
-#define FUNCTION "Statistics::Statistics"
-  Statistics::Statistics  (std::string                  name                 ,
-			   Parameters_Statistics * parameters_statistics):
-    _name                  (name                 ),
-    _parameters_statistics (parameters_statistics)
-  {
-    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    _nb_statistics  = 0;
-    _period_current = 0;
-    log_printf(FUNC,Behavioural,FUNCTION,"End");
-  };
-  
-#undef  FUNCTION
-#define FUNCTION "Statistics::~Statistics"
-  Statistics::~Statistics ()
-  {
-    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    log_printf(FUNC,Behavioural,FUNCTION,"End");  
-  };
-  
-
-}; // end namespace behavioural          
-}; // end namespace morpheo              
-
-#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_compute_cycle_xxx.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_compute_cycle_xxx.cpp	(revision 74)
+++ 	(revision )
@@ -1,46 +1,0 @@
-#ifdef STATISTICS
-
-/*
- * $Id$
- *
- * [ Description ]
- * 
- */
-
-#include "Behavioural/include/Statistics.h"
-
-namespace morpheo              {
-namespace behavioural          {
-
-#undef  FUNCTION
-#define FUNCTION "Statistics::compute_cycle_begin"
-  uint32_t Statistics::compute_cycle_begin (uint32_t num_statistics)
-  {
-    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    uint32_t _return = _parameters_statistics->_nb_cycle_before_begin + num_statistics*_parameters_statistics->_period_save;
-    log_printf(FUNC,Behavioural,FUNCTION,"End");
-    
-    return _return;
-  };
-
-#undef  FUNCTION
-#define FUNCTION "Statistics::compute_cycle_end"
-  uint32_t Statistics::compute_cycle_end   (uint32_t num_statistics, uint32_t nb_cycle)
-  {
-    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-
-    uint32_t _return;
-    if (num_statistics == (_nb_statistics-1)) // Last ?
-      _return = compute_cycle_begin(num_statistics  ) + nb_cycle;
-    else
-      _return = compute_cycle_begin(num_statistics+1) - 1;
-
-    log_printf(FUNC,Behavioural,FUNCTION,"End");
-
-    return _return;
-  };
-
-}; // end namespace behavioural          
-}; // end namespace morpheo              
-
-#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_generate_file.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_generate_file.cpp	(revision 74)
+++ 	(revision )
@@ -1,64 +1,0 @@
-#ifdef STATISTICS
-
-/*
- * $Id$
- *
- * [ Description ]
- * 
- */
-
-#include "Behavioural/include/Statistics.h"
-#include <time.h>
-#include <sstream>
-#include <fstream>
-
-namespace morpheo              {
-namespace behavioural          {
-
-#undef  FUNCTION
-#define FUNCTION "Statistics::generate_file"
-  void Statistics::generate_file(std::string stat)
-  {
-    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-
-    std::stringstream filename;
-    filename << _name << ".stat";
-
-    std::cout << "Generate file \""<< filename.str() << "\"" << std::endl;
-
-    std::ofstream file;
-    file.open(filename.str().c_str(),std::ios::out | std::ios::trunc);
-
-    time_t current_time;
-    time (&current_time);
-
-    // print header
-    file << "<!-- "                                                    << std::endl
-	 << "\tfile        : " << filename.str()                       << std::endl
-	 << "\tdate        : " << ctime (&current_time )
-	 << "\tcomment     : it's a autogenerated file : don't modify" << std::endl
-	 << "-->"                                                      << std::endl
-	 <<                                                               std::endl;
-	 
-    file << stat;
-    
-    file.close();
-
-    log_printf(FUNC,Behavioural,FUNCTION,"End");
-  }
-
-#undef  FUNCTION
-#define FUNCTION "Statistics::generate_file"
-  void Statistics::generate_file(void)
-  {
-    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-
-    generate_file(print(0));
-
-    log_printf(FUNC,Behavioural,FUNCTION,"End");
-  };
-
-}; // end namespace behavioural          
-}; // end namespace morpheo              
-
-#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_save.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_save.cpp	(revision 74)
+++ 	(revision )
@@ -1,48 +1,0 @@
-#ifdef STATISTICS
-
-#ifndef morpheo_behavioural_Statistics_save_cpp
-#define morpheo_behavioural_Statistics_save_cpp
-
-/*
- * $Id$
- *
- * [ Description ]
- * 
- */
-
-#include "Behavioural/include/Statistics.h"
-
-namespace morpheo              {
-namespace behavioural          {
-
-#undef  FUNCTION
-#define FUNCTION "Statistics::save"
-  template <class Counters, class Parameters_Counters>
-  void Statistics::save(Counters ** & counters, Parameters_Counters parameters)
-  {
-    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-
-    // Allocation of a new slot -> take param a first count
-    Counters ** counters_tmp;
-    
-    counters_tmp = new Counters * [_nb_statistics+1];
-    
-    // Copy
-    for (uint32_t i = 0; i < _nb_statistics; i ++)
-      counters_tmp [i] = counters [i];
-    
-    // New slot !
-    counters_tmp [_nb_statistics] = new Counters (parameters);
-    
-    // update pointer
-    counters = counters_tmp;
-    _nb_statistics ++;
-
-    log_printf(FUNC,Behavioural,FUNCTION,"End");
-  };
-
-}; // end namespace behavioural          
-}; // end namespace morpheo              
-
-#endif
-#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_test_if_save.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Statistics_test_if_save.cpp	(revision 74)
+++ 	(revision )
@@ -1,42 +1,0 @@
-#ifdef STATISTICS
-
-#ifndef morpheo_behavioural_Statistics_test_if_save_cpp
-#define morpheo_behavioural_Statistics_test_if_save_cpp
-
-/*
- * $Id$
- *
- * [ Description ]
- * 
- */
-
-#include "Behavioural/include/Statistics.h"
-
-namespace morpheo              {
-namespace behavioural          {
-
-#undef  FUNCTION
-#define FUNCTION "Statistics::test_if_save"
-  template <class Counters, class Parameters_Counters>
-  void Statistics::test_if_save(Counters ** & counters, Parameters_Counters parameters)
-  {
-    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-
-    _period_current ++;
-
-    // Test if allors a new counters ...
-    if ( ((_nb_statistics == 0) && (_period_current >= _parameters_statistics->_nb_cycle_before_begin)) ||
-	 ((_nb_statistics >  0) && (_period_current >= _parameters_statistics->_period_save          )) )
-      {
-	save<Counters,Parameters_Counters>(counters,parameters);
-	_period_current = 0;
-      }
-
-    log_printf(FUNC,Behavioural,FUNCTION,"End");
-  };
-  
-}; // end namespace behavioural          
-}; // end namespace morpheo              
-
-#endif
-#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_text.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_text.cpp	(revision 74)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/XML_text.cpp	(revision 75)
@@ -16,5 +16,5 @@
   {
     log_printf(FUNC,Behavioural,FUNCTION,"Begin");
-    _body += indent()+text+"\n";
+    _body += indent()+text; // +"\n";
     log_printf(FUNC,Behavioural,FUNCTION,"End");
 
